From 611135702929f18a19681ec443cddc3b3c0fba0c Mon Sep 17 00:00:00 2001
From: Ondřej Sloup <osloup@redhat.com>
Date: Apr 11 2024 16:09:03 +0000
Subject: [PATCH 1/10] Add .gitignore


Add .gitignore to make local development easier and prevent accidental pushes.

---

diff --git a/.gitignore b/.gitignore
new file mode 100644
index 0000000..34d63b7
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,43 @@
+# Man pages
+man/
+
+# Cache
+autom4te.cache/
+configure
+configure~
+*.log
+
+# Dependencies
+.deps/
+aclocal.m4
+compile
+depcomp
+install-sh
+missing
+stamp-h1
+test-driver
+ylwrap
+
+# Generated config files
+config.status
+config.log
+config.h
+Makefile.in
+Makefile
+xmlto.spec
+
+# Binaries
+/*.o
+
+# xmlif folder
+xmlif/*
+
+# Keep this
+!xmlif/test/
+!xmlif/xmlif.c
+!xmlif/xmlif.l
+
+xmlif/test/*
+!xmlif/test/result*
+!xmlif/test/test.xml
+!xmlif/test/run-test

